Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSDigestedDataOutputConnector

`java.lang.Object
oracle.security.crypto.cms.CMSDigestedDataOutputConnector`

All Implemented Interfaces:
  CMSOutputConnector

public class CMSDigestedDataOutputConnector
extends java.lang.Object
implements CMSOutputConnector

A `CMSDigestedDataOutputConnector` is used in place of a `CMSDigestedDataOutputStream` when constructing nested CMS objects containing `digested-data` structures.

A `CMSDigestedDataOutputConnector` is essentially an output stream filter that wraps the data written to it within a CMS `digested-data` structure. Only the Content field of the CMS ContentInfo structure minus the the explicit [0] tag wrapper is written to the underlying output stream.

See Also:
  `CMSOutputConnector`, `CMSDigestedDataOutputStream`

Constructor Summary
`CMSDigestedDataOutputConnector(CMSOutputConnector conn, oracle.security.crypto.core.AlgorithmIdentifier digestAlgID, oracle.security.crypto.asn1.ASN1ObjectID contentType, boolean writeEContentInfo)` Creates a `CMSDigestedDataOutputConnector`.
`CMSDigestedDataOutputConnector(java.io.OutputStream out, oracle.security.crypto.core.AlgorithmIdentifier digestAlgID, oracle.security.crypto.asn1.ASN1ObjectID contentType, boolean writeEContentInfo)` Creates a `CMSDigestedDataOutputConnector`.

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getExposedContentType()` Returns the content type of the data that is output to the underlying output stream.
`java.io.OutputStream` | `getOutputStream()` Returns the output stream that is governed by this connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSDigestedDataOutputConnector

    public CMSDigestedDataOutputConnector(java.io.OutputStream out,
                                          oracle.security.crypto.core.AlgorithmIdentifier digestAlgID,
                                          oracle.security.crypto.asn1.ASN1ObjectID contentType,
                                          boolean writeEContentInfo)
                                   throws oracle.security.crypto.core.AlgorithmIdentifierException

  Creates a `CMSDigestedDataOutputConnector`.
Parameters:
  `out` - The underlying output stream.
  `digestAlgID` - The digest algorithm identifier.
  `contentType` - The content type of the enclosing content.
  `writeEContentInfo` - `true` if the enclosed content must be written to the output stream; `false` otherwise.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - Digest algorithm is not supported.

### CMSDigestedDataOutputConnector

    public CMSDigestedDataOutputConnector(CMSOutputConnector conn,
                                          oracle.security.crypto.core.AlgorithmIdentifier digestAlgID,
                                          oracle.security.crypto.asn1.ASN1ObjectID contentType,
                                          boolean writeEContentInfo)
                                   throws oracle.security.crypto.core.AlgorithmIdentifierException

  Creates a `CMSDigestedDataOutputConnector`.
Parameters:
  `conn` - The underlying output connector.
  `digestAlgID` - The digest algorithm identifier.
  `contentType` - The content type of the enclosing content.
  `writeEContentInfo` - `true` if the enclosed content must be written to the output stream; `false` otherwise.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - Digest algorithm is not supported.

Method Detail

### getExposedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getExposedContentType()

  Returns the content type of the data that is output to the underlying output stream.
  Specified by:
    `getExposedContentType` in interface `CMSOutputConnector`
  Returns:
    The content type identifier.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the output stream that is governed by this connector.
  Specified by:
    `getOutputStream` in interface `CMSOutputConnector`
  Returns:
    The underlying output stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.